/**
 * Licensed to Jasig under one or more contributor license
 * agreements. See the NOTICE file distributed with this work
 * for additional information regarding copyright ownership.
 * Jasig licenses this file to you under the Apache License,
 * Version 2.0 (the "License"); you may not use this file
 * except in compliance with the License. You may obtain a
 * copy of the License at:
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on
 * an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied. See the License for the
 * specific language governing permissions and limitations
 * under the License.
 */

package org.jasig.irclog;

/**
 * Defines the IrcBot APIs that the {@link ChannelLogger} needs access to
 * 
 * @author Eric Dalquist
 * @version $Revision: 21501 $
 */
public interface IrcBot {
    /**
     * Join the specified channel
     */
    public void joinChannel(String channel);
    
    /**
     * @return The bot's current nick
     */
    public String getNick();
    
    /**
     * Send a notice
     */
    public void sendNotice(String target, String notice);
}
